Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network95.76.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
95.76.0.0
Broadcast address
95.79.255.255
First usable
95.76.0.1
Last usable
95.79.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
A (default /8)
As numbers
Hex 5F4C0000 · Integer 1598816256 to 1599078399
Reverse DNS zones
76.95.in-addr.arpa
77.95.in-addr.arpa
78.95.in-addr.arpa
79.95.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011111.01001100.00000000.0000000095.76.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network01011111.01001100.00000000.0000000095.76.0.0
Broadcast01011111.01001111.11111111.1111111195.79.255.255
Split into smaller subnets/21

95.76.0.0/14 makes 128 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
195.76.0.0/2195.76.0.1 to 95.76.7.25495.76.7.2552,046
295.76.8.0/2195.76.8.1 to 95.76.15.25495.76.15.2552,046
395.76.16.0/2195.76.16.1 to 95.76.23.25495.76.23.2552,046
495.76.24.0/2195.76.24.1 to 95.76.31.25495.76.31.2552,046
595.76.32.0/2195.76.32.1 to 95.76.39.25495.76.39.2552,046
695.76.40.0/2195.76.40.1 to 95.76.47.25495.76.47.2552,046
795.76.48.0/2195.76.48.1 to 95.76.55.25495.76.55.2552,046
895.76.56.0/2195.76.56.1 to 95.76.63.25495.76.63.2552,046
995.76.64.0/2195.76.64.1 to 95.76.71.25495.76.71.2552,046
1095.76.72.0/2195.76.72.1 to 95.76.79.25495.76.79.2552,046
1195.76.80.0/2195.76.80.1 to 95.76.87.25495.76.87.2552,046
1295.76.88.0/2195.76.88.1 to 95.76.95.25495.76.95.2552,046
1395.76.96.0/2195.76.96.1 to 95.76.103.25495.76.103.2552,046
1495.76.104.0/2195.76.104.1 to 95.76.111.25495.76.111.2552,046
1595.76.112.0/2195.76.112.1 to 95.76.119.25495.76.119.2552,046
1695.76.120.0/2195.76.120.1 to 95.76.127.25495.76.127.2552,046
1795.76.128.0/2195.76.128.1 to 95.76.135.25495.76.135.2552,046
1895.76.136.0/2195.76.136.1 to 95.76.143.25495.76.143.2552,046
1995.76.144.0/2195.76.144.1 to 95.76.151.25495.76.151.2552,046
2095.76.152.0/2195.76.152.1 to 95.76.159.25495.76.159.2552,046
2195.76.160.0/2195.76.160.1 to 95.76.167.25495.76.167.2552,046
2295.76.168.0/2195.76.168.1 to 95.76.175.25495.76.175.2552,046
2395.76.176.0/2195.76.176.1 to 95.76.183.25495.76.183.2552,046
2495.76.184.0/2195.76.184.1 to 95.76.191.25495.76.191.2552,046
2595.76.192.0/2195.76.192.1 to 95.76.199.25495.76.199.2552,046
2695.76.200.0/2195.76.200.1 to 95.76.207.25495.76.207.2552,046
2795.76.208.0/2195.76.208.1 to 95.76.215.25495.76.215.2552,046
2895.76.216.0/2195.76.216.1 to 95.76.223.25495.76.223.2552,046
2995.76.224.0/2195.76.224.1 to 95.76.231.25495.76.231.2552,046
3095.76.232.0/2195.76.232.1 to 95.76.239.25495.76.239.2552,046
3195.76.240.0/2195.76.240.1 to 95.76.247.25495.76.247.2552,046
3295.76.248.0/2195.76.248.1 to 95.76.255.25495.76.255.2552,046
3395.77.0.0/2195.77.0.1 to 95.77.7.25495.77.7.2552,046
3495.77.8.0/2195.77.8.1 to 95.77.15.25495.77.15.2552,046
3595.77.16.0/2195.77.16.1 to 95.77.23.25495.77.23.2552,046
3695.77.24.0/2195.77.24.1 to 95.77.31.25495.77.31.2552,046
3795.77.32.0/2195.77.32.1 to 95.77.39.25495.77.39.2552,046
3895.77.40.0/2195.77.40.1 to 95.77.47.25495.77.47.2552,046
3995.77.48.0/2195.77.48.1 to 95.77.55.25495.77.55.2552,046
4095.77.56.0/2195.77.56.1 to 95.77.63.25495.77.63.2552,046
4195.77.64.0/2195.77.64.1 to 95.77.71.25495.77.71.2552,046
4295.77.72.0/2195.77.72.1 to 95.77.79.25495.77.79.2552,046
4395.77.80.0/2195.77.80.1 to 95.77.87.25495.77.87.2552,046
4495.77.88.0/2195.77.88.1 to 95.77.95.25495.77.95.2552,046
4595.77.96.0/2195.77.96.1 to 95.77.103.25495.77.103.2552,046
4695.77.104.0/2195.77.104.1 to 95.77.111.25495.77.111.2552,046
4795.77.112.0/2195.77.112.1 to 95.77.119.25495.77.119.2552,046
4895.77.120.0/2195.77.120.1 to 95.77.127.25495.77.127.2552,046
4995.77.128.0/2195.77.128.1 to 95.77.135.25495.77.135.2552,046
5095.77.136.0/2195.77.136.1 to 95.77.143.25495.77.143.2552,046
5195.77.144.0/2195.77.144.1 to 95.77.151.25495.77.151.2552,046
5295.77.152.0/2195.77.152.1 to 95.77.159.25495.77.159.2552,046
5395.77.160.0/2195.77.160.1 to 95.77.167.25495.77.167.2552,046
5495.77.168.0/2195.77.168.1 to 95.77.175.25495.77.175.2552,046
5595.77.176.0/2195.77.176.1 to 95.77.183.25495.77.183.2552,046
5695.77.184.0/2195.77.184.1 to 95.77.191.25495.77.191.2552,046
5795.77.192.0/2195.77.192.1 to 95.77.199.25495.77.199.2552,046
5895.77.200.0/2195.77.200.1 to 95.77.207.25495.77.207.2552,046
5995.77.208.0/2195.77.208.1 to 95.77.215.25495.77.215.2552,046
6095.77.216.0/2195.77.216.1 to 95.77.223.25495.77.223.2552,046
6195.77.224.0/2195.77.224.1 to 95.77.231.25495.77.231.2552,046
6295.77.232.0/2195.77.232.1 to 95.77.239.25495.77.239.2552,046
6395.77.240.0/2195.77.240.1 to 95.77.247.25495.77.247.2552,046
6495.77.248.0/2195.77.248.1 to 95.77.255.25495.77.255.2552,046
6595.78.0.0/2195.78.0.1 to 95.78.7.25495.78.7.2552,046
6695.78.8.0/2195.78.8.1 to 95.78.15.25495.78.15.2552,046
6795.78.16.0/2195.78.16.1 to 95.78.23.25495.78.23.2552,046
6895.78.24.0/2195.78.24.1 to 95.78.31.25495.78.31.2552,046
6995.78.32.0/2195.78.32.1 to 95.78.39.25495.78.39.2552,046
7095.78.40.0/2195.78.40.1 to 95.78.47.25495.78.47.2552,046
7195.78.48.0/2195.78.48.1 to 95.78.55.25495.78.55.2552,046
7295.78.56.0/2195.78.56.1 to 95.78.63.25495.78.63.2552,046
7395.78.64.0/2195.78.64.1 to 95.78.71.25495.78.71.2552,046
7495.78.72.0/2195.78.72.1 to 95.78.79.25495.78.79.2552,046
7595.78.80.0/2195.78.80.1 to 95.78.87.25495.78.87.2552,046
7695.78.88.0/2195.78.88.1 to 95.78.95.25495.78.95.2552,046
7795.78.96.0/2195.78.96.1 to 95.78.103.25495.78.103.2552,046
7895.78.104.0/2195.78.104.1 to 95.78.111.25495.78.111.2552,046
7995.78.112.0/2195.78.112.1 to 95.78.119.25495.78.119.2552,046
8095.78.120.0/2195.78.120.1 to 95.78.127.25495.78.127.2552,046
8195.78.128.0/2195.78.128.1 to 95.78.135.25495.78.135.2552,046
8295.78.136.0/2195.78.136.1 to 95.78.143.25495.78.143.2552,046
8395.78.144.0/2195.78.144.1 to 95.78.151.25495.78.151.2552,046
8495.78.152.0/2195.78.152.1 to 95.78.159.25495.78.159.2552,046
8595.78.160.0/2195.78.160.1 to 95.78.167.25495.78.167.2552,046
8695.78.168.0/2195.78.168.1 to 95.78.175.25495.78.175.2552,046
8795.78.176.0/2195.78.176.1 to 95.78.183.25495.78.183.2552,046
8895.78.184.0/2195.78.184.1 to 95.78.191.25495.78.191.2552,046
8995.78.192.0/2195.78.192.1 to 95.78.199.25495.78.199.2552,046
9095.78.200.0/2195.78.200.1 to 95.78.207.25495.78.207.2552,046
9195.78.208.0/2195.78.208.1 to 95.78.215.25495.78.215.2552,046
9295.78.216.0/2195.78.216.1 to 95.78.223.25495.78.223.2552,046
9395.78.224.0/2195.78.224.1 to 95.78.231.25495.78.231.2552,046
9495.78.232.0/2195.78.232.1 to 95.78.239.25495.78.239.2552,046
9595.78.240.0/2195.78.240.1 to 95.78.247.25495.78.247.2552,046
9695.78.248.0/2195.78.248.1 to 95.78.255.25495.78.255.2552,046
9795.79.0.0/2195.79.0.1 to 95.79.7.25495.79.7.2552,046
9895.79.8.0/2195.79.8.1 to 95.79.15.25495.79.15.2552,046
9995.79.16.0/2195.79.16.1 to 95.79.23.25495.79.23.2552,046
10095.79.24.0/2195.79.24.1 to 95.79.31.25495.79.31.2552,046
10195.79.32.0/2195.79.32.1 to 95.79.39.25495.79.39.2552,046
10295.79.40.0/2195.79.40.1 to 95.79.47.25495.79.47.2552,046
10395.79.48.0/2195.79.48.1 to 95.79.55.25495.79.55.2552,046
10495.79.56.0/2195.79.56.1 to 95.79.63.25495.79.63.2552,046
10595.79.64.0/2195.79.64.1 to 95.79.71.25495.79.71.2552,046
10695.79.72.0/2195.79.72.1 to 95.79.79.25495.79.79.2552,046
10795.79.80.0/2195.79.80.1 to 95.79.87.25495.79.87.2552,046
10895.79.88.0/2195.79.88.1 to 95.79.95.25495.79.95.2552,046
10995.79.96.0/2195.79.96.1 to 95.79.103.25495.79.103.2552,046
11095.79.104.0/2195.79.104.1 to 95.79.111.25495.79.111.2552,046
11195.79.112.0/2195.79.112.1 to 95.79.119.25495.79.119.2552,046
11295.79.120.0/2195.79.120.1 to 95.79.127.25495.79.127.2552,046
11395.79.128.0/2195.79.128.1 to 95.79.135.25495.79.135.2552,046
11495.79.136.0/2195.79.136.1 to 95.79.143.25495.79.143.2552,046
11595.79.144.0/2195.79.144.1 to 95.79.151.25495.79.151.2552,046
11695.79.152.0/2195.79.152.1 to 95.79.159.25495.79.159.2552,046
11795.79.160.0/2195.79.160.1 to 95.79.167.25495.79.167.2552,046
11895.79.168.0/2195.79.168.1 to 95.79.175.25495.79.175.2552,046
11995.79.176.0/2195.79.176.1 to 95.79.183.25495.79.183.2552,046
12095.79.184.0/2195.79.184.1 to 95.79.191.25495.79.191.2552,046
12195.79.192.0/2195.79.192.1 to 95.79.199.25495.79.199.2552,046
12295.79.200.0/2195.79.200.1 to 95.79.207.25495.79.207.2552,046
12395.79.208.0/2195.79.208.1 to 95.79.215.25495.79.215.2552,046
12495.79.216.0/2195.79.216.1 to 95.79.223.25495.79.223.2552,046
12595.79.224.0/2195.79.224.1 to 95.79.231.25495.79.231.2552,046
12695.79.232.0/2195.79.232.1 to 95.79.239.25495.79.239.2552,046
12795.79.240.0/2195.79.240.1 to 95.79.247.25495.79.247.2552,046
12895.79.248.0/2195.79.248.1 to 95.79.255.25495.79.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses